xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
xmltooling::params Class Reference

Wrapper around a variable number of arguments. More...

`#include <xmltooling/exceptions.h>`

Inheritance diagram for xmltooling::params:

## Public Member Functions
| params ()
| Initializes with zero parameters.
| params (int count,...)
| Initializes the parameter set. More...
const std::vector< const char * > & | get () const
| Returns an immutable reference to the set of parameters. More...

## Protected Attributes
std::vector< const char * > | v
| Contains the parameters being passed. More...

## Detailed Description

Wrapper around a variable number of arguments.

## Constructor & Destructor Documentation

xmltooling::params::params | ( | int | count,
|  |  | ...
| ) |  |

Initializes the parameter set.

Parameters

  count | the number of parameters that follow

## Member Function Documentation

const std::vector<const char*>& xmltooling::params::get | ( |  | ) | const
| inline

Returns an immutable reference to the set of parameters.

Returns
  the parameter set

## Member Data Documentation

std::vector<const char*> xmltooling::params::v
| protected

Contains the parameters being passed.

The documentation for this class was generated from the following file:

- xmltooling/exceptions.h